/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package controlers;

/**
 *
 * @author Ondrej Ritomský
 */
public class KategoriaIntend { 
    public Kategoria kategoria;
    public int rank = 0;

    public Kategoria getKategoria() {
        return kategoria;
    }

    public void setKategoria(Kategoria kategoria) {
        this.kategoria = kategoria;
    }

    public int getRank() {
        return rank;
    }

    public void setRank(int rank) {
        this.rank = rank;
    }
    
    public KategoriaIntend(Kategoria kategoria, int rank){
        this.kategoria = kategoria;
        this.rank = rank;
    }
    
    public String getIntend(){
        StringBuilder str = new StringBuilder("");
        for (int i = 0; i < rank; i++) str.append(" ");
        return str.toString();
    }
    
    @Override
    public String toString(){
        StringBuilder str = new StringBuilder("");
        for (int i = 0; i < rank; i++) str.append("-");
        if (rank > 0) str.append(" ");
        str.append(kategoria.getLabel());
        return str.toString();
    }
    
    @Override
    public int hashCode() {
        int hash = 0;
        hash += (this.kategoria.getId() != null ? this.kategoria.getId().hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof KategoriaIntend)) {
            return false;
        }
        KategoriaIntend other = (KategoriaIntend) object;
        if ((this.kategoria.getId() == null && other.kategoria.getId() != null) || 
                (this.kategoria.getId() != null && !this.kategoria.getId().equals(other.kategoria.getId()))) {
            return false;
        }
        return true;
    }
}
